clear
clc

# valores inicias
x1 = .7;
x2 = -1.7;
x3 = .6;

# variáveis auxiliares, para armazenar o valor da iteração anterior
y1 = 0;
y2 = 0;
y3 = 0;

# variável para o error
erro = 1;

# contador de iteração
i = 0;

while erro >= 10^-4
  # armazenar os valores anteriores nas variáveis y
  y1 = x1;
  y2 = x2;
  y3 = x3;

  i = i+1;

  x1 = (7-2*y2-y3)/10;
  x2 = (-8-y1-y3)/5;
  x3 = (6-2*y1-3*y2)/10;

  erro = max([abs(x1-y1) abs(x2-y2) abs(x3-y3)]);
##  disp('-------------------------------')

##  if i > 5
##    disp('Número máximo de iterações excedido')
##    break
##  endif
endwhile

disp('A solução do sistema é')
fprintf('x1 = %f \n',x1)
fprintf('x2 = %f \n',x2)
fprintf('x3 = %f \n',x3)
fprintf('O erro da aproximação é %f \n',erro)





